Uploaded image for project: 'Dev - Nexus Repo'
  1. Dev - Nexus Repo
  2. NEXUS-7841

Restore support for OpenJDK

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major
    • Resolution: Duplicate
    • Affects Version/s: 3.0.0-m3
    • Fix Version/s: None
    • Component/s: None
    • Labels:
      None
    • Environment:
      CentOS

      Description

      While configuring CentOS VM, I setup a snapshot bundle of NX3 but when I ran it got a huge error log. Jason asked what Java I was running and found I was running OpenJDK which comes default with Linux. He said it is not supported. However, it works with NX2 so to me this is regression.

      After browsing the net, this seems a pain point for Linux users because just downloading Java does not work in Linux, you have to go through additional configuration. Based on these readings, I believe Nexus users/admins of Linux would prefer to not have to do this if we can (re)add support.

      I was surprised there was no ticket for this (that I found) considering it works in NX2(11.1-01) but I did not cross check any support articles, maybe it is clearly stated there for our userbase. If not when we push NX3 harder anyone with this out of the box configuration will likely stop working.

      Borderline minor. The workaround is easy once you know it but wasn't "easy" for me to find.

      I did not check older versions of NX3 at this time.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned Unassigned
              Reporter:
              jtom Joe Tom
              Last Updated By:
              Peter Lynch Peter Lynch
              Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:
                Date of First Response:

                  tigCommentSecurity.panel-title